org.apache.ignite.internal.processors.cache.distributed.near

## Class TxTopologyVersionFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<AffinityTopologyVersion>
  - - org.apache.ignite.internal.processors.cache.distributed.near.TxTopologyVersionFuture

All Implemented Interfaces:
  IgniteInternalFuture<AffinityTopologyVersion>

    public class TxTopologyVersionFuture
    extends GridFutureAdapter<AffinityTopologyVersion>

Future to obtain/lock topology version for SELECT FOR UPDATE.

### Constructor Summary

Constructors
Constructor and Description
`TxTopologyVersionFuture(GridNearTxLocal tx, GridCacheContext cctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `clientFirst()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxTopologyVersionFuture

    public TxTopologyVersionFuture(GridNearTxLocal tx,
                                   GridCacheContext cctx)

Parameters:
  `tx` - Transaction.
  `cctx` - Target cache context.

### Method Detail

#### clientFirst

    public boolean clientFirst()

Returns:
  Client first flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019